Task #97057

Epic #96323: TYPO3 Backend: ES6 Module (ESM) support

Deprecate RequireJS related APIs

Added by Benjamin Franzke 5 months ago. Updated 5 months ago.

Status:
Accepted
Priority:
Should have
Category:
Backend JavaScript
Target version:
Start date:
2022-02-27
Due date:
% Done:

0%

Estimated time:
TYPO3 Version:
12
PHP Version:
Tags:
Complexity:
Sprint Focus:

Description

Replacement is always some sort of appropriate API for native ES6 modules:

  • PageRenderer->loadRequireJsModule
  • <f:be.pageRenderer includeRequireJsModules="{…}"/>
  • FormEngine: 'requireJsModules' => [] (TODO: needs a replacement first #97066)
  • TYPO3\CMS\Setup\Event\AddJavaScriptModulesEvent::getModules() (TODO: needs a replacement first)

Related issues

Blocked by TYPO3 Core - Task #96575: Migrate t3editor from CodeMirror v5 to v6Under ReviewBenjamin Franzke2022-01-19

Actions
Blocked by TYPO3 Core - Task #97066: Add a replacement for FormEngine requireJsModules arrayAcceptedBenjamin Franzke2022-03-01

Actions
Blocked by TYPO3 Core - Task #97067: Provide ES6 replacement for TYPO3\CMS\Setup\Event\AddJavaScriptModulesEvent::getModulesAcceptedBenjamin Franzke2022-03-01

Actions
#1

Updated by Benjamin Franzke 5 months ago

  • Blocked by Task #96575: Migrate t3editor from CodeMirror v5 to v6 added
#2

Updated by Benjamin Franzke 5 months ago

  • Description updated (diff)
#3

Updated by Benjamin Franzke 5 months ago

  • Blocked by Task #97066: Add a replacement for FormEngine requireJsModules array added
#4

Updated by Benjamin Franzke 5 months ago

  • Blocked by Task #97067: Provide ES6 replacement for TYPO3\CMS\Setup\Event\AddJavaScriptModulesEvent::getModules added

Also available in: Atom PDF